extern    int MagicNumber = 12345;
extern    double lots = 0.10;
extern    int stopLoss = 1000;
extern    int takeProfit = 2000;

void OnTick()
  {
  
  if (TotalNoOfOrders(Symbol()) > 0) {
        return;
    }
     
    double ema = iMA(NULL, 0, 400, 0, MODE_EMA, PRICE_CLOSE, 0);
    double ema2 = iMA(NULL, 0, 200, 0, MODE_EMA, PRICE_CLOSE, 0);
    double rsi = iRSI(NULL, 0, 14, PRICE_CLOSE, 0);    
    
     
    if ((Bid > ema)&&(Bid < ema2)&&(rsi < 30) ) {
        if (OrderSend(Symbol(), OP_BUY, lots, Ask, 3, Bid - stopLoss * Point, Ask + takeProfit * Point, "BossPips", MagicNumber, 0, Blue)) {
            Print("Buy order succeeded!");
        }
    }


    if ((Bid < ema)&&(Bid > ema2)&&(rsi > 70) ) {
        if (OrderSend(Symbol(), OP_SELL, lots, Bid, 3, Ask + stopLoss * Point, Bid - takeProfit * Point, "BossPips", MagicNumber,0, Red)) {
            Print("Sell order succeeded!");
        }
    }
}
//---
   
  
//+------------------------------------------------------------------+

int TotalNoOfOrders(string symb){ 
   int cnt, total; 
   int i = 0;
   total = OrdersTotal(); 
   for(cnt=0;cnt<total; cnt++){ 
      if(OrderSelect(cnt,SELECT_BY_POS,MODE_TRADES)==true)
      if(OrderSymbol()==symb && OrderMagicNumber()==MagicNumber)
         i++; 
   }
   return(i);
}
